| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Deactivate |
| Production | put | https://api.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Deactivate |
Request
put https://apisandbox.braspag.com.br/v2/RecurrentPayment/{RecurrentPaymentId}/Deactivate
| Property | Description | Type | Size | Required? |
|---|---|---|---|---|
MerchantId | Merchant identifier in the API. | GUID | 36 | Yes (send in header) |
MerchantKey | Public key for dual authentication in the API. | Text | 40 | Yes (send in header) |
RequestId | Request identifier defined by the merchant, used when the merchant uses different servers for each GET/POST/PUT. | GUID | 36 | No (send in header) |
RecurrentPaymentId | Recurrence identification number. | Text | 50 | Yes (send in endpoint) |
Response
HTTP Status 200Refer to the HTTP status codes list to see all status codes that may be returned by the API.